1. API
  2. Cases
  3. Comments

Comments: Update

⚠️ Note
This v1 API endpoint is deprecated and will be removed on December 1, 2026. Use the v2 version of this endpoint instead.

Description

Update an existing case comment.

Request

HTTP Method: PUT

Parameter Description
value The value of the case comment.
Path Parameter Description
case_id ID of the case.
comment_id ID of the comment.

Sample request

curl -X PUT \
  https://<tenant-domain>/api/v1/cases/<<case_id>>/comments/<<comment_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "value": "This is an updated comment"
      }'

Response

A successful request will return a JSON object describing the updated case comment.

Field description

Parameter Description
case_id The case ID.
id The ID of the record with the comment attached to the case.
action The action taken on the case - commented in this instance.
value The updated case comment.
user Details of the user who created the comment - id, first & last name, email & avatar url.
reactions An array of objects describing the reactions and their reactants on the comment.

Sample response

{
  "case_id": 42,
  "id": 7508,
  "action": "COMMENTED",
  "value": "This is an updated comment",
  "user": {
    "id": 1,
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "jane@tines.io",
    "avatar_url": "example.com/avatar"
  },
  "reactions": [
    {
      "emoji": ":heart:",
      "reactants": [
        {
          "user_id": 1,
          "user_name": "John Smith",
          "reacted_at": "2024-03-12T10:06:38+00:00"
        }
      ]
    }
  ]
}
Was this helpful?
Comments: Update | API | Tines